Bug 1231353 - Review Request: php-cssjanus - Convert CSS stylesheets between left-to-right and right-to-left
Summary: Review Request: php-cssjanus - Convert CSS stylesheets between left-to-right ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1230630
TreeView+ depends on / blocked
 
Reported: 2015-06-12 19:15 UTC by Michael Cronenworth
Modified: 2015-10-14 06:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-09 15:32:12 UTC
puntogil: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Michael Cronenworth 2015-06-12 19:15:22 UTC
Spec URL: http://michael.cronenworth.com/RPMS/php-cssjanus.spec
SRPM URL: http://michael.cronenworth.com/RPMS/php-cssjanus-1.1.1-1.fc21.src.rpm
Description: Convert CSS stylesheets between left-to-right and right-to-left, split out of mediawiki
Fedora Account System Username: mooninite

$ rpmlint php-cssjanus.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
$ rpmlint ~/rpmbuild/SRPMS/php-cssjanus-1.1.1-1.fc21.src.rpm 
php-cssjanus.src: W: spelling-error Summary(en_US) stylesheets -> style sheets, style-sheets, dustsheets
php-cssjanus.src: W: spelling-error %description -l en_US stylesheets -> style sheets, style-sheets, dustsheets
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 1 Shawn Iwinski 2015-06-12 19:58:17 UTC
* Per https://fedoraproject.org/wiki/Packaging:PHP#Composer_registered_Packages, need to provide "php-composer(cssjanus/cssjanus) = %{version}"

* Tests are provided so they should be run in %check

Comment 2 Michael Cronenworth 2015-06-13 20:31:05 UTC
http://michael.cronenworth.com/RPMS/php-cssjanus.spec
http://michael.cronenworth.com/RPMS/php-cssjanus-1.1.1-2.fc21.src.rpm

The provided test can only be loaded through composer.

Comment 3 Remi Collet 2015-06-16 15:14:10 UTC
Single class, running test suite is trivial

    phpunit --bootstrap src/CSSJanus.php

From phpcompatinfo report:

   Requires: php-pcre

Comment 4 Michael Cronenworth 2015-09-17 13:56:28 UTC
http://michael.cronenworth.com/RPMS/php-cssjanus.spec
http://michael.cronenworth.com/RPMS/php-cssjanus-1.1.1-3.fc22.src.rpm

Added Requires and check section for tests.

Comment 5 gil cattaneo 2015-09-30 23:48:40 UTC
can you take this for me https://bugzilla.redhat.com/show_bug.cgi?id=1261019 ?

Comment 6 gil cattaneo 2015-10-01 00:09:38 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated". 1 files have unknown
     license. Detailed output of licensecheck in /home/gil/1231353-php-
     cssjanus/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[!]: Run phpci static analyze on all php files.
     Note: phpcompatinfo not found. Install php-bartlett-PHP-CompatInfo
     package to get a more comprehensive php review.
     See: url: undefined


Rpmlint
-------
Checking: php-cssjanus-1.1.1-3.fc24.noarch.rpm
          php-cssjanus-1.1.1-3.fc24.src.rpm
php-cssjanus.noarch: W: spelling-error Summary(en_US) stylesheets -> style sheets, style-sheets, dustsheets
php-cssjanus.noarch: W: spelling-error %description -l en_US stylesheets -> style sheets, style-sheets, dustsheets
php-cssjanus.src: W: spelling-error Summary(en_US) stylesheets -> style sheets, style-sheets, dustsheets
php-cssjanus.src: W: spelling-error %description -l en_US stylesheets -> style sheets, style-sheets, dustsheets
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: File o directory non esistente
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
php-cssjanus (rpmlib, GLIBC filtered):
    php(language)
    php-pcre



Provides
--------
php-cssjanus:
    php-composer(cssjanus/cssjanus)
    php-cssjanus



Source checksums
----------------
https://github.com/cssjanus/php-cssjanus/archive/v1.1.1.tar.gz#/php-cssjanus-1.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : 6211eb35355fd119b61e4a7c097418c4f64a27f800c5638016ded2b6c6ea5cb0
  CHECKSUM(SHA256) upstream package : 6211eb35355fd119b61e4a7c097418c4f64a27f800c5638016ded2b6c6ea5cb0


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 1231353 --plugins PHP -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 gil cattaneo 2015-10-01 00:11:05 UTC
"Buildarch:	noarch" should be "BuildArch:	noarch"

Comment 9 gil cattaneo 2015-10-01 09:31:40 UTC
approved

Comment 10 Michael Cronenworth 2015-10-01 16:46:34 UTC
Thank you.

New Package SCM Request
=======================
Package Name: php-cssjanus
Short Description: Convert CSS stylesheets between left-to-right and right-to-left
Upstream URL: https://github.com/cssjanus/php-cssjanus
Owners: mooninite
Branches: f23 f22
InitialCC:

Comment 11 Gwyn Ciesla 2015-10-02 11:21:54 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2015-10-05 14:37:56 UTC
php-cssjanus-1.1.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-37c1674e25

Comment 13 Fedora Update System 2015-10-05 14:38:52 UTC
php-cssjanus-1.1.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d6f07abe80

Comment 14 Fedora Update System 2015-10-06 01:07:58 UTC
php-cssjanus-1.1.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-cssjanus'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d6f07abe80

Comment 15 Fedora Update System 2015-10-06 04:21:53 UTC
php-cssjanus-1.1.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-cssjanus'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-37c1674e25

Comment 16 Fedora Update System 2015-10-09 15:32:10 UTC
php-cssjanus-1.1.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-10-14 06:56:01 UTC
php-cssjanus-1.1.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.